### Name: itemMatrix-class
### Title: Class ``itemMatrix'' - Sparse Binary Matrix to Represent Sets of
###   Items
### Aliases: itemMatrix-class summary.itemMatrix-class
###   show,summary.itemMatrix-method print,summary.itemMatrix-method
###   [,itemMatrix-method coerce,matrix,itemMatrix-method
###   coerce,list,itemMatrix-method coerce,itemMatrix,matrix-method
###   coerce,itemMatrix,list-method decode,itemMatrix-method decode
###   dim,itemMatrix-method image,itemMatrix-method
###   \%in\%,itemMatrix-method labels<-,itemMatrix-method
###   labels,itemMatrix-method labels<- labels itemInfo<-,itemMatrix-method
###   itemInfo,itemMatrix-method itemInfo<- itemInfo show,itemMatrix-method
###   summary,itemMatrix-method [,dgCMatrix-method
### Keywords: classes

### ** Examples

## Generate random data and coerce data to itemMatrix.
m <- matrix(as.integer(runif(100000)>0.8), ncol=20)
dimnames(m) <- list(NULL, paste("item", c(1:20), sep=""))
i <- as(m, "itemMatrix")

## Get the number of elements (rows) in the itemMatrix.
length(i)

## Get first 5 elements (rows) of the itemMatrix as list.
as(i[1:5], "list")



